# setup.py

from distutils.core import setup
import sys
import zipfile
import os

version = "0.3"

if sys.platform == 'win32':
    import py2exe

    setup(options={"py2exe": {"compressed": 1,
                              "ascii": 1,
                              "bundle_files": 1}},
          zipfile=None,
          console=["spaconf.py"])


    if os.path.exists('dist') and os.path.exists(os.path.join('dist', 'spaconf.exe')):
        zip = zipfile.ZipFile(os.path.join('dist', 'spaconf-%s.zip' % version), 'w')
        zip.write(os.path.join('dist', 'spaconf.exe'), 'spaconf.exe')
        zip.write('README.txt')
        zip.close()

else:
    setup(name="spaconf",
          version=version,
          description="Utility for reading/writing configuration of Sipura SPA devices",
          author="Jason D. Hildebrand",
          author_email='jason@opensky.ca',
          url='http://www.opensky.ca/~jdhildeb/software/spaconf/',
          license='Python Software Foundation License',
          platforms='Posix, Win32',
          classifiers = [
            'Development Status :: 4 - Beta',
            'Environment :: Console',
            'License :: OSI Approved :: Python Software Foundation License',
            'Operating System :: POSIX',
            'Operating System :: Microsoft :: Windows',
            'Programming Language :: Python',
            'Topic :: Communications :: Internet Phone',
          ],

          scripts=['spaconf.py'],
         )

